
------------------------------------------------------------
-- Snapshot of current unsatisfied demand
------------------------------------------------------------
function EVENTINITIALISE_SetBusinessDemand()
end;
function EVENT_SetBusinessDemand()
	C_AddBusDemand(BAKERY,				1000);
	C_AddBusDemand(FISH_MARKET,			1000);
	C_AddBusDemand(GREENGROCERS,		1000);
	C_AddBusDemand(DINER,				1000);
	C_AddBusDemand(BUTCHERS,			700);
	C_AddBusDemand(BOOK_STORE,			700);
	C_AddBusDemand(TOY_STORE,			120);	
	C_AddBusDemand(CHEESE_STORE,		100);
	C_AddBusDemand(CAFE,				300);
	C_AddBusDemand(NEWS_STAND,			200);
	C_AddBusDemand(BALLROOM,			10);
	C_AddBusDemand(FURNITURE_STORE,		60);
	C_AddBusDemand(THEATRE,				60);	
	C_AddBusDemand(RESTAURANT,			80);	
	C_AddBusDemand(ELECTRICAL_STORE,	10);
	C_AddBusDemand(POOL_HALL,			70);
	C_AddBusDemand(ANTIQUE_STORE,		10);
	C_AddBusDemand(CLOTHES_STORE,		80);
	C_AddBusDemand(BAR,					10);
	C_AddBusDemand(PHARMACY,			10);
	C_AddBusDemand(DOCTORS_SURGERY,		10);
	C_AddBusDemand(JEWELLERS,			10);
	C_AddBusDemand(SOUVENIR_SHOP,		10);
	C_AddBusDemand(ICECREAM_PARLOUR,	10);
	C_AddBusDemand(HARDWARE_STORE,		10);
	
end;

C_TriggerEvent("SetBusinessDemand");


------------------------------------------------------------
-- 	Character Timetable			HR	MIN	EVENT
------------------------------------------------------------
AiChars[IRON]:ResetTimeTable();
AiChars[IRON]:LoadTimeTable(	02,	30,	TT_EOD_STOCK_AND_PRICE ); 
AiChars[IRON]:LoadTimeTable(	13,	00,	TT_CREATE_BUS );
AiChars[IRON]:LoadTimeTable(	15,	30,	TT_CREATE_BUS );

AiChars[BARROW]:ResetTimeTable();
AiChars[BARROW]:LoadTimeTable(	02,	30,	TT_EOD_STOCK_AND_PRICE ); 
AiChars[BARROW]:LoadTimeTable(	11,	30,	TT_CREATE_BUS );
AiChars[BARROW]:LoadTimeTable(	13,	30,	TT_CREATE_BUS );
AiChars[BARROW]:LoadTimeTable(	16,	30,	TT_CREATE_BUS );

------------------------------------------------------------
-- Initialise scenario specific varaibles
------------------------------------------------------------
AiChars[BARROW]:SetMaxBusinesses(0);
AiChars[IRON]:SetMaxBusinesses(0);



